// pages/detail/detail.js
const app = getApp()
const { axios } = app.globalData;
Page({
  /**
   * 页面的初始数据
   */
  data: {
    // 数据模拟
    shopdetail: {}
  },
  // 点击图标事件
  onClickIcon (e) {
    console.log("点击图标", e)
  },
  // 点击按钮事件
  onClickButton (e) {
    console.log("点击按钮", e)
    let { type } = e.currentTarget.dataset;
    console.log(type)
    // 点击立即购买
    if (type == "buy") {
      let { id, shopdetail } = this.data;
      wx.navigateTo({
        url: `/pages/pay/pay?data=${JSON.stringify({ id, shopdetail })}`,
      })
      return false;
    }
  },
  // 请求数据
  ShopRequest () {
    let { id, shopdetail } = this.data, that = this;
    let moni = {
      img: "https://img.yzcdn.cn/vant/cat.jpeg",
      name: "宠物猫",
      price: "100.00",
      sales: 40,
      desc: "如果只是自定义的间距距离, 设置margin就好了. 如果是想让两个div每个div占百分之n的宽度. 比如想让第一个div占宽度的百分之30. 第二个占百分之70. 可以设置第一个div:flex:3; 第二个div:flex:7; 如果你已经设置这两个div的宽高了, 想让他们均分。",
      detaillist: ["https://img.yzcdn.cn/vant/cat.jpeg", "https://img.yzcdn.cn/vant/cat.jpeg", "https://img.yzcdn.cn/vant/cat.jpeg"]
    };
    axios({
      url: `/commodity/wx_commodity_detail/${id}/`,
      method: "get",
      success (res) {
        console.log(res)
        let { amount: price, detail_images: detaillist, introduce: desc, main_image: img, name } = res.data.data;
        shopdetail = {
          name, price, detaillist, desc, img
        };
        that.setData({
          shopdetail
        })
        wx.stopPullDownRefresh();
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.lxd.Ctr({
      // nav
      title: "商品详情", //标题
      back: true,//返回按钮，tabber必须false（除非会改）
    })
    let { data } = options;
    if (!!data) {
      data = JSON.parse(data);
      this.setData({
        ...data
      })
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.ShopRequest();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    this.ShopRequest();
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})