// pages/order/order.js
const app = getApp()
const { axios } = app.globalData;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    active: 0,
    orderlist: [],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.lxd.Ctr({
      // nav
      title: "我的订单", //标题
    })
  },
  // tabs 切换
  tabs (e) {
    let { index: active } = e.detail;
    this.setData({
      active
    })
    this.totalPage = 1;
    this.currentPage = 1;
    this.orderRequest();
  },
  // 请求数据
  totalPage: 1,
  currentPage: 1,
  orderRequest () {
    if (this.currentPage > this.totalPage) return false;
    let { active } = this,
      status = active == 0 ? '' : active, that = this;
    axios({
      url: "/order/",
      method: 'get',
      data: {
        status,
        limit: 10,
        page: that.currentPage
      },
      success (res) {
        let { totalPage, currentPage, data: orderlist } = res.data;
        console.log(orderlist)
        that.setData({ orderlist });
        that.totalPage = totalPage;
        that.currentPage++;
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.orderRequest()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    this.totalPage = 1;
    this.currentPage = 1;
    this.orderRequest()
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    this.orderRequest()
  },
})